package shrty

import (
	"os"
	"testing"
	"github.com/stretchr/testify/assert"
)

func TestOpen(t *testing.T) {
	s, err := Open(path)
	defer os.Remove(path)

	expected := DB{Path: "short_test.db",
		Store:       Store{Token: make(map[string]*Data), Url: make(map[string]string)},
	}

	assert.NoError(t, err)
	assert.Equal(t, &expected, s)
}
